Bug 2277404 - Kmymoney Reports no longer available after upgrade to Fedora 40 KDE Spin
Summary: Kmymoney Reports no longer available after upgrade to Fedora 40 KDE Spin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kmymoney
Version: 40
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-04-26 20:06 UTC by dave
Modified: 2024-05-30 06:44 UTC (History)
9 users (show)

Fixed In Version: kmymoney-5.1.3-9.fc41 kmymoney-5.1.3-9.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-05-25 09:26:20 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description dave 2024-04-26 20:06:08 UTC
Description of problem:
I recently upgraded my desktop to Fedora 40 / KDE spin.  I did a full reinstall and restored software from backup.  I did a fresh install of Kmymoney and used the restored file.  The only issue is the Reports are gone.  The icon is gone and no option to run Reports from any toolbar menu.  

Version-Release number of selected component (if applicable):
Fedora 40 - KMyMoney 5.1.3

How reproducible:
N/A  Missing component

Steps to Reproduce:
1.Constant

Actual results:
Everything works great except the Report section is missing from KMyMoney

Expected results:
To be able to create expenditure reports.

Additional info:
I filed a bug with KDE group.  

https://bugs.kde.org/show_bug.cgi?id=486168

Comment 1 Bruno Gardin 2024-04-30 05:19:41 UTC
Same problem here as i upgrade to FEDORA 40 Plasma.

Comment 2 MarkV 2024-04-30 18:25:42 UTC
(In reply to Bruno Gardin from comment #1)
> Same problem here as i upgrade to FEDORA 40 Plasma.

Add 1 more person with the problem as of the upgrad to 40 today.

Comment 3 Dylan Wolters 2024-05-07 20:58:00 UTC
Also having same thing! The "reports" view is not in the application, nor is the plugin available.

Comment 4 andy 2024-05-09 13:59:21 UTC
Same problem here as I recently upgrade to fedora 40 lxqt.
Kindly please help thanks.

Comment 5 andy 2024-05-11 03:26:05 UTC
kmymoney from official repo


Fedora 40 - x86_64                                                                                                                      6.6 kB/s | 5.9 kB     00:00    
Fedora 40 - x86_64 - Updates                                                                                                             18 kB/s | 5.5 kB     00:00    
Fedora 40 - x86_64 - Updates                                                                                                            928 kB/s | 4.3 MB     00:04    
RPM Fusion for Fedora 40 - Free - Updates                                                                                               6.3 kB/s |  11 kB     00:01    
RPM Fusion for Fedora 40 - Free - Updates                                                                                                14 kB/s |  22 kB     00:01    
RPM Fusion for Fedora 40 - Nonfree - Updates                                                                                             11 kB/s |  14 kB     00:01    
RPM Fusion for Fedora 40 - Nonfree - Updates                                                                                            3.6 kB/s |  13 kB     00:03    
Installed Packages
kmymoney.x86_64                                                                      5.1.3-8.fc40                                                                @System
kmymoney-libs.x86_64                                                                 5.1.3-8.fc40                                                                @System
Available Packages
kmymoney-devel.i686                                                                  5.1.3-8.fc40                                                                fedora 
kmymoney-devel.x86_64                                                                5.1.3-8.fc40                                                                fedora 
kmymoney-doc.noarch                                                                  5.1.3-8.fc40                                                                fedora 
kmymoney-libs.i686                                                                   5.1.3-8.fc40                                                                fedora

Comment 6 andy 2024-05-11 03:26:50 UTC
kmymoney developer:

Not really confirmed, but this very likely seems to be a packaging/dependency issue on the Fedora end. Please open a ticket with the distro and leave a link to it here. Thanks.

Comment 7 andy 2024-05-11 03:28:06 UTC
neofetch info:



            .',;::::;,'.                andy@MiWiFi-RM1800-srv 
         .';:cccccccccccc:;,.            ---------------------- 
      .;cccccccccccccccccccccc;.         OS: Fedora Linux 40 (Forty) x86_64 
    .:cccccccccccccccccccccccccc:.       Host: S550CB 1.0 
  .;ccccccccccccc;.:dddl:.;ccccccc;.     Kernel: 6.8.9-300.fc40.x86_64 
 .:ccccccccccccc;OWMKOOXMWd;ccccccc:.    Uptime: 11 mins 
.:ccccccccccccc;KMMc;cc;xMMc:ccccccc:.   Packages: 1847 (rpm) 
,cccccccccccccc;MMM.;cc;;WW::cccccccc,   Shell: bash 5.2.26 
:cccccccccccccc;MMM.;cccccccccccccccc:   Resolution: 1366x768 
:ccccccc;oxOOOo;MMM0OOk.;cccccccccccc:   DE: LXQt 1.4.0 
cccccc:0MMKxdd:;MMMkddc.;cccccccccccc;   WM: Openbox                                                                                                                    
ccccc:XM0';cccc;MMM.;cccccccccccccccc'   Theme: Adwaita [GTK3]                                                                                                          
ccccc;MMo;ccccc;MMW.;ccccccccccccccc;    Icons: Adwaita [GTK3]                                                                                                          
ccccc;0MNc.ccc.xMMd:ccccccccccccccc;     Terminal: qterminal                                                                                                            
cccccc;dNMWXXXWM0::cccccccccccccc:,      Terminal Font: Monospace 12                                                                                                    
cccccccc;.:odl:.;cccccccccccccc:,.       CPU: Intel i7-3537U (4) @ 3.100GHz                                                                                             
:cccccccccccccccccccccccccccc:'.         GPU: NVIDIA GeForce GT 740M                                                                                                    
.:cccccccccccccccccccccc:;,..            GPU: Intel 3rd Gen Core processor Graphics Controller                                                                          
  '::cccccccccccccc::;,.                 Memory: 1044MiB / 7820MiB

Comment 8 Gary Duzan 2024-05-16 03:32:06 UTC
Same here with F40/XFCE. The slightly older flatpak from flathub still has reports available as a workaround.

Comment 9 Gary Duzan 2024-05-16 11:59:41 UTC
(In reply to Gary Duzan from comment #8)
> Same here with F40/XFCE. The slightly older flatpak from flathub still has
> reports available as a workaround.

I also confirmed that the flatpak from the fedora repo is missing report functionality like the RPM package.

Comment 10 jswami 2024-05-21 00:11:26 UTC
I have the same issue with plain Fedora with Gnome. And, alas, even the flatpak from Flathub doesn't resolve it.

Comment 11 Mattia Verga 2024-05-25 08:02:24 UTC
See https://src.fedoraproject.org/rpms/kmymoney/pull-request/3

KChart is not found at build time when using kdiagram 3.0.1, we need to use the compatibility package kdiagram2.

Comment 12 Fedora Update System 2024-05-25 09:23:08 UTC
FEDORA-2024-9269ccb5df (kmymoney-5.1.3-9.fc41) has been submitted as an update to Fedora 41.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-9269ccb5df

Comment 13 Fedora Update System 2024-05-25 09:26:20 UTC
FEDORA-2024-9269ccb5df (kmymoney-5.1.3-9.fc41) has been pushed to the Fedora 41 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2024-05-25 09:33:58 UTC
FEDORA-2024-b5b2a3ba72 (kmymoney-5.1.3-9.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-b5b2a3ba72

Comment 15 Fedora Update System 2024-05-26 02:33:38 UTC
FEDORA-2024-b5b2a3ba72 has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-b5b2a3ba72`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-b5b2a3ba72

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2024-05-30 01:22:05 UTC
FEDORA-2024-b5b2a3ba72 (kmymoney-5.1.3-9.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Bruno Gardin 2024-05-30 06:44:30 UTC
I just installed kmymoney-5.1.3-9.fc40 and it works fine. The reports came back. Thanks for all.


Note You need to log in before you can comment on or make changes to this bug.